/*
  CubeExample2.pde - Demonstrates how to use the Arduino library for LEDcube V.2 kit

  This lights up the left-front-top LED when you do not push the button
     and lights up the middle-middle-middle LED when you push the button.


       This work is licensed under the Creative Commons BY SA License.Creative Commons v3.5
            Attribution and Share Alike.
   	see http://creativecommons.org/licenses/by-sa/3.0/ for details.
       Rolf van Widenfelt, Mitch Altman.
 */

#include <LEDcube.h>

// note that wiring.h gets included automatically

// for cube.DrawPixel(c,r,p):
//   c: column
//   r: row
//   p: plane
// where 0,0,0 is the left column, rear row, top plane   --   the board is oriented with the FDTI connector on the left


// create a "cube" instance
LEDcube cube;


void setup() {
  // first, initialize the library - this is needed!
  cube.Begin();

  // initially, we want all the pixels off
  cube.Clear();
}


void loop() {

  cube.Clear();

  if (cube.GetButton(BUTTON_A)) {    // change which pixel is on when button is pressed
    cube.DrawPixel(1,1,1);
  } else {
    cube.DrawPixel(0,0,0);
  }

  delay(200);
}












